GDBserver

Public Member Functions | Public Attributes | List of all members
exception_try_scope Struct Reference

`#include "common-exceptions.h"`

## Public Member Functions
| exception_try_scope ()
| ~exception_try_scope ()

## Public Attributes
void * | saved_state

## Detailed Description

Definition at line 215 of file common-exceptions.h.

## Constructor & Destructor Documentation

## ◆ exception_try_scope()

exception_try_scope::exception_try_scope | ( |  | ) |
| inline

Definition at line 217 of file common-exceptions.h.

References exception_try_scope_entry(), and saved_state.

## ◆ ~exception_try_scope()

exception_try_scope::~exception_try_scope | ( |  | ) |
| inline

Definition at line 221 of file common-exceptions.h.

References exception_try_scope_exit(), and saved_state.

## Member Data Documentation

## ◆ saved_state

void* exception_try_scope::saved_state

Definition at line 226 of file common-exceptions.h.

Referenced by exception_try_scope(), and ~exception_try_scope().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/common-exceptions.h